Page MenuHomePhabricator

Start a new discussion: create design brief
Closed, ResolvedPublic

Description

This task represents the work involved with creating a design brief for the improvements we are proposing to make to the existing workflow for starting a new discussion on Wikipedia talk pages, across namespaces.


Design brief components

The design brief will contain the following components:

  • Target audience: whose needs is this feature intended to address?
  • Target's motivations/goals: what are these people trying to accomplish?
  • Issues: what issues do people encounter when trying to complete these goals?
  • Use cases: in what scenarios do we anticipate people using this workflow?
  • Recommendations: what improvements should we consider to resolve the issues with the current experience?
  • Constraints: what constraints (legal, technical, social, etc.) must the proposed design respect/honor?
  • Comparative review: what design patterns might we borrow? (E.g. Phabricator, Github, Gitlab, Flow, other Wikipedias [1])
    • See T249784 for design patterns that exist elsewhere on Wikipedia.

Done

  • A design containing the "Design brief components" above has been created

  1. Other Wikipedias:
    • On the French Wikipedia's wikitext talk pages, there is an "Ajouter un sujet" link at the bottom of each talk page to help people more easily start conversations regardless of where they are on the talk page.
    • On the Dutch Wikipedia's talk pages, such a link ("kopje toevoegen", or actually {int:vector-action-addsection}, lowercased) is added next to the last section's edit link; integrates well in the UI, but not the most intuitive spot, inconvenient when the last section is long.

Event Timeline

ppelberg created this task.Mar 16 2020, 3:36 PM
ppelberg updated the task description. (Show Details)Mar 17 2020, 2:16 AM
ppelberg added a subscriber: iamjessklein.
ppelberg updated the task description. (Show Details)Mar 27 2020, 6:15 PM

Update 27-March

Quick updates from the meeting @iamjessklein and I had this morning...
Work can begin on this once work on T247485 is complete.

Comparative review: what design patterns might we borrow? (E.g. Phabricator, Github, Gitlab, Flow, other Wikipedias [1])

I've created a task specifically for this investigation: T249784

I gave a presentation today sharing my work in progress brief with the team. Here is the restricted access link. Request access if you are having trouble getting in.

We still need to do a comparative review of other wiki conventions and run control tests on non-English wikis. I will be coordinating with @Whatamidoing-WMF on that task.

ppelberg updated the task description. (Show Details)Apr 15 2020, 4:39 PM

Update: 15-April
The findings from T249784 should be incorporated into the design brief.

The above is now reflected in the task description.

I've updated the limited access design brief deck.
@ppelberg I'm reassigning to you to (I assume) share with the community.

This needs input from @ppelberg

Per, today's meeting, next steps are as follows:

@ppelberg and @iamjessklein to flesh out the details and next steps of this task

Marc updated the task description. (Show Details)Jul 21 2020, 12:07 AM
Marc updated the task description. (Show Details)Jul 21 2020, 12:10 AM
Marc added a subscriber: Marc.Jul 21 2020, 1:43 AM
ppelberg closed this task as Resolved.Sep 4 2020, 11:28 PM

Per, today's meeting, next steps are as follows:

I'm resolving this task and in doing so, letting go of the requirement that a PDF of the new discussion brief be created and posted to the project page (see above).